function PLOT_MDI(SeriesModelName, Label)



% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

directory = ['/Users/pietromurialdo/BigData/Results/', SeriesModelName, '/'];
window = [30,50,100,150,200:100:1500];


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


tmp = load([directory, 'SeriesInformation.mat']);
info = tmp.SeriesInformation;
clear tmp


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


tmp = load([directory, 'MarketDynIndex.mat']);
integral = tmp.mdi{1,1}
clear tmp


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




windowIndex=[];
newWindow = [30,50,100,150,200];
fontsize2 = 18;
font_sz = 18;

for i = 1:length(newWindow)
    tmpIndex = find(window == newWindow(i));
    windowIndex = [windowIndex; tmpIndex];
    clear tmpIndex
end


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%
%


figure;
hold on; box on; grid on;

for i = 1:12
    plot(newWindow, - integral(i,:), '.-');
end

ylabel('I(n)' ,'fontsize', fontsize2);
xlabel('n' ,'fontsize', fontsize2);
set(gca, 'xlim', [0 200]);
set(gca, 'ylim', [150 700]);
set(gca, 'fontsize', font_sz);
ta = annotation('arrow');
ta.Position = [0.5 0.2 -0.15 0.3];
ta.LineWidth = 0.5;
text(63,400,'M','fontsize',16);
%figlegend(SeriesModelName, 125, 250);

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%
% Figure specifications

dim = [.7, .3, .1, .1];
for i = 1:length(info)
    string{i} = info{i};
end
string{i + 1} = 'MDI';
annotation('textbox', dim, 'String', string, 'FitBoxToText', 'on', 'fontsize', 14);

if ischar(Label)
    dim = [.5, .3, .3, .3];
    annotation('textbox', dim, 'String', Label, 'FitBoxToText', 'on', 'fontsize', 16);
end

% create smaller axes in top right, and plot on it
axes('Position',[0.2 .6 .3 .3]);
box on
hold on

for i = 1:length(windowIndex)
    plot([1:1:12], - integral(1:12, i), 'o', 'MarkerSize', 5);
end

xticks([]);
ylabel('I(M)','fontsize',11);
xlabel('M','fontsize',11);
set(gca,'fontsize',11);
set(gca,'xlim',[0 13]);
set(gca, 'ylim', [150 700]);
set(gca,'Color',[255/256 255/256 239/256]);
ta1 = annotation('arrow');
ta1.Position = [0.35 0.63 -0.015 0.22];
ta1.LineWidth = 0.5;
text(6.3,580,'n','fontsize',11);





% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%
%


nomefile2 = [directory, 'MDI'];

%hgsave(nomefile2)
print('-djpeg', nomefile2)

close

end