function [entropyMatrix] = entropy(y, movAvgWindow, filename)

%la funzione lavora su una serie alla volta e restituisce una matrice nnx2,
%dove nn indica il numero di finestre di media mobile. la prima colonna
%indica la dimensione del cluster tau e la seconda la freq assoluta
%corrispondente.

N = length(y);
entropyMatrix = cell(length(movAvgWindow), 1);

for ii=1:3
    DMA_type = ii;
    [y_tilde_vect_cell, sigma_2_DMA_vect, sigma_DMA_vect] = DMA(y, movAvgWindow, N, DMA_type);
    [ProbSomma] = computeClusterProbability(y, y_tilde_vect_cell, 1);
    ProbSommaAllDMA{:,ii} = ProbSomma'; % ogni colonna contiene la matrice ProbSomma, che è una nnx2, per un diverso tipo di media mobile.
    clear ProbSomma
end

for kkk = 1:length(movAvgWindow)
    vtemp = [ProbSommaAllDMA{1}{kkk};ProbSommaAllDMA{2}{kkk};ProbSommaAllDMA{3}{kkk}];
    tau_Entropia =unique(vtemp(:,1));
    for kk=1:length(tau_Entropia)
        idxE = find(vtemp(:,1)==tau_Entropia(kk));
        if(length(idxE)==3)
            Entropia(kk) = sum(vtemp(idxE,2))/3;
        elseif(length(idxE)==2)
            Entropia(kk) = sum(vtemp(idxE,2))/2;
        else
            Entropia(kk) = vtemp(idxE,2);
        end
    end
    entropyMatrix{kkk,1} = [tau_Entropia,Entropia'];
    clear vtemp tau_Entropia Entropia
    
end

save([filename, '.mat'], 'entropyMatrix');

end