close
clear
tic

% %%%%%%%%%%%%%%%%%%%%%%%%I N S T R U C T I O N S %%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 0 Check the output directory
% 1 Modify "ModelName".
% 2 Modify parameters "one", "two", "three".
% 3 Modify cell array "SeriesInformation".
% 4 Modify generating function. 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% User Input
% First, choose the raw data to take series dimensions from (length of each
% time horizon). Second, choose the model in "ModelName". 


[N RawDataLengths] = loadsamplinglengths('CCMP');
ModelName = 'FBM'
Label = '(l)'
H = 0.9

SeriesInformation{1,1} = ModelName;
SeriesInformation{2,1} = ['Hurst Exponent = ', num2str(H)];
createandsetdirectory(ModelName);
save(['/Users/pietromurialdo/BigData/Results/', ModelName '/', 'SeriesInformation'], 'SeriesInformation')

y = fbmgen(N, H);
save(['/Users/pietromurialdo/BigData/Results/', ModelName '/', 'timeseries.mat'], 'y')


% To let this section work, move the series you want to draw figures of in
% the folder in [/Users/pietromurialdo/BigData/Results/, ModelName].


COMPUTE_ANALYSIS(ModelName, y, RawDataLengths);



PLOT_TIMESERIES(ModelName, Label);
for i = 1:12
    PLOT_ENTROPY_FIG(ModelName, Label, i);
end
PLOT_MDI(ModelName, '(h)');