function [integralS, integralD, integralTot] = mdindex(entropyMtx, movAvgWindow, filename)

%ATTENZIONE! Le linee commentate riguardano il calcolo di intergrali nei
%casi di cluster di dimensione maggiore della finestra di MA usata per
%calcolarli. Es. Dopo il calcolo dell'entropia, si ottiene una cell array
%dove ogni cella contiene dati riferiti a una data finestra di MA. Ognuna
%di queste celle contiene due colonne, la prima con la dimensione del
%cluster, la seconda con la freq assoluta del cluster stesso. Per certe
%serie, è possibile che non siano stati trovati cluster di dimensione
%maggiore o uguale a quella della finestra di MA usata per individuarli.
%Pertanto, il calcolo degli integrali per cluster di dimensioni maggiori
%della finestra di MA usata per individuarli, dà errore quando questi
%cluster non esistono.


windowIndex=[];
newWindow = [30,50,100,150,200];

for i = 1:length(newWindow)
    tmpIndex = find(movAvgWindow == newWindow(i));
    windowIndex = [windowIndex; tmpIndex];
    clear tmpIndex
end

for i = 1:length(entropyMtx)
    
    for ii = 1:length(newWindow)
        entropyMtx{i}{windowIndex(ii)}(:,1);
        idxff_s = find(entropyMtx{i}{windowIndex(ii)}(:,1) <= newWindow(ii)); % seleziono cluster di dim. minore di newWindow(ii)
        %         idxff_d = find(entropyMtx{i}{windowIndex(ii)}(:,1) > newWindow(ii));
        
        dati_entropia{i,ii} = [entropyMtx{i}{windowIndex(ii)}(:,1), -log(entropyMtx{i}{windowIndex(ii)}(:,2))];
        
        tmp_s = cumsum(dati_entropia{i,ii}(idxff_s,2));
        %         tmp_d = cumsum(dati_entropia{i,ii}(idxff_d,2));
        %         tmp_tot = cumsum(dati_entropia{i,ii}(:,2));
        integralS(i,ii)=tmp_s(end);
        %         integralD(i,ii)=tmp_d(end);
        %         integralTot(i,ii)=tmp_tot(end);
    end
end
mdi{1,1} = integralS;
% mdi{1,2} = integralD;
% mdi{1,3} = integralTot;
save([filename, '.mat'], 'mdi');
end